#
# spec file for package php5-pear-file (Version 1.2.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
#

# norootforbuild

%if %suse_version >= 1010
%define _name    php5-pear-file
%define _phpdir  php5
%define _phpbin  %{_bindir}/php5
%define _peardir PEAR
%define _pear    pear5
%else
%define _name    php4-pear-file
%define _phpdir  php
%define _phpbin  %{_bindir}/php
%define _peardir /
%define _pear    pear 
%endif

Name:           %{_name}
%define peardir %{_datadir}/%{_phpdir}/%{_peardir}
License:        Other License(s), see package, Other uncritical OpenSource License
Group:          Productivity/Networking/Web/Servers
Version:        1.2.2
Release:        1.5
Summary:        Common PEAR file and directory routines
URL:            http://pear.php.net/package/File
%if %suse_version >= 1010
Requires:       php5-pear
BuildRequires:  php5-pear
%else
Requires:       php4-pear
BuildRequires:  php4-pear
%endif
Provides:       php-pear-file
Source:         http://pear.php.net/get/File-%{version}.tgz
Patch1:         File-%{version}-dependency.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This PEAR package Provides easy access to read/write to files along
with some common routines to deal with paths. Also provides interface
for handling CSV files.



Authors:
--------
    Michael Wallner <mike@php.net>
    Helgi ormar <dufuz@php.net>
    Richard Heyes
    Tal Peer <tal@php.net>
    Thomas V.V.Cox <cox@idecnet.com>

%debug_package
%prep
%setup -c
%patch1

%build

%install
%__mv package*.xml File-%{version}
cd File-%{version}
PHP_PEAR_PHP_BIN="%{_phpbin} -d memory_limit=50m" %{_pear} -v -d doc_dir=%{_docdir}/%{name} install -R "$RPM_BUILD_ROOT" package.xml
%__rm -rf "$RPM_BUILD_ROOT"/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%clean
%__rm -rf %{BuildRoot}

%files
%defattr(-, root, root)
%dir %{peardir}/test
%{peardir}/test/File
%{peardir}/File
%{peardir}/File.php

%changelog -n %{name}
* Sat Jun 17 2006 - Marcus Hwe <suse-tux@gmx.de>
- made spec file portable for older/new suse-versions
- removed #usedforbuild, added %clean-macro
- added rpmmacros (changed "mv" to "%__mv" etc.)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - mmarek@suse.de
- fix filelist, remove temporary files created by pear installer
- unify php5-pear-*.spec files
- increase php's memory_limit during installation (parsing
  xml needs more than default 8M sometimes)
* Mon Jan 16 2006 - mmarek@suse.cz
- created package to satisfy horde dependencies
